Multiple vulnerabilities in Apple macOS



Published: 2020-03-24 | Updated: 2021-05-19
Risk Low
Patch available YES
Number of vulnerabilities 4
CVE ID CVE-2020-3912
CVE-2020-3908
CVE-2020-3907
CVE-2020-9779
CWE ID CWE-125
Exploitation vector Local
Public exploit N/A
Vulnerable software
Subscribe
macOS
Operating systems & Components / Operating system

Vendor Apple Inc.

Security Advisory

1) Out-of-bounds read

Risk: Low

CVSSv3.1: 3.1 [CVSS:3.1/AV:P/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L/E:U/RL:O/RC:C]

CVE-ID: CVE-2020-3912

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to a boundary condition in Bluetooth. A remote attacker with physical proximity to the affected device can send specially crafted data to the system, trigger out-of-bounds read error and read contents of memory on the system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 10.13 17A365, 10.13 17A405, 10.13.1 17B48, 10.13.1 17B1002, 10.13.1 17B1003, 10.13.2 17C88, 10.13.2 17C89, 10.13.2 17C205, 10.13.2 17C2205, 10.13.3 17D47, 10.13.3 17D102, 10.13.3 17D2047, 10.13.3 17D2102, 10.13.4 17E199, 10.13.4 17E202, 10.13.5 17F77, 10.13.6 17G66, 10.13.6 17G2208, 10.13.6 17G3025, 10.13.6 17G4015, 10.13.6 17G5019, 10.13.6 17G6029, 10.13.6 17G6030, 10.13.6 17G7024, 10.13.6 17G8029, 10.13.6 17G8030, 10.13.6 17G8037, 10.13.6 17G9016, 10.13.6 17G10021, 10.13.6 17G11023, 10.14 18A391, 10.14.1 18B75, 10.14.1 18B2107, 10.14.1 18B3094, 10.14.2 18C54, 10.14.3 18D42, 10.14.3 18D43, 10.14.3 18D109, 10.14.4 18E226, 10.14.4 18E227, 10.14.5 18F132, 10.14.6 18G84, 10.14.6 18G87, 10.14.6 18G95, 10.14.6 18G103, 10.14.6 18G1012, 10.14.6 18G2022, 10.14.6 18G3020, 10.15 19A583, 10.15 19A602, 10.15 19A603, 10.15.1 19B88, 10.15.2 19C57, 10.15.3 19D76

CPE External links

https://support.apple.com/kb/HT211100

Q & A

Can this vulnerability be exploited remotely?

No. The attacker should have physical access to the system in order to successfully exploit this vulnerability.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.

2) Out-of-bounds read

Risk: Low

CVSSv3.1: 3.1 [CVSS:3.1/AV:P/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L/E:U/RL:O/RC:C]

CVE-ID: CVE-2020-3908

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to a boundary condition in Bluetooth. A remote attacker with physical proximity to the affected device can send specially crafted data to the system, trigger out-of-bounds read error and read contents of memory on the system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 10.13 17A365, 10.13 17A405, 10.13.1 17B48, 10.13.1 17B1002, 10.13.1 17B1003, 10.13.2 17C88, 10.13.2 17C89, 10.13.2 17C205, 10.13.2 17C2205, 10.13.3 17D47, 10.13.3 17D102, 10.13.3 17D2047, 10.13.3 17D2102, 10.13.4 17E199, 10.13.4 17E202, 10.13.5 17F77, 10.13.6 17G66, 10.13.6 17G2208, 10.13.6 17G3025, 10.13.6 17G4015, 10.13.6 17G5019, 10.13.6 17G6029, 10.13.6 17G6030, 10.13.6 17G7024, 10.13.6 17G8029, 10.13.6 17G8030, 10.13.6 17G8037, 10.13.6 17G9016, 10.13.6 17G10021, 10.13.6 17G11023, 10.14 18A391, 10.14.1 18B75, 10.14.1 18B2107, 10.14.1 18B3094, 10.14.2 18C54, 10.14.3 18D42, 10.14.3 18D43, 10.14.3 18D109, 10.14.4 18E226, 10.14.4 18E227, 10.14.5 18F132, 10.14.6 18G84, 10.14.6 18G87, 10.14.6 18G95, 10.14.6 18G103, 10.14.6 18G1012, 10.14.6 18G2022, 10.14.6 18G3020, 10.15 19A583, 10.15 19A602, 10.15 19A603, 10.15.1 19B88, 10.15.2 19C57, 10.15.3 19D76

CPE External links

https://support.apple.com/kb/HT211100

Q & A

Can this vulnerability be exploited remotely?

No. The attacker should have physical access to the system in order to successfully exploit this vulnerability.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.

3) Out-of-bounds read

Risk: Low

CVSSv3.1: 3.1 [CVSS:3.1/AV:P/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L/E:U/RL:O/RC:C]

CVE-ID: CVE-2020-3907

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to a boundary condition in Bluetooth. A remote attacker with physical proximity to the affected device can send specially crafted data to the system, trigger out-of-bounds read error and read contents of memory on the system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 10.13 17A365, 10.13 17A405, 10.13.1 17B48, 10.13.1 17B1002, 10.13.1 17B1003, 10.13.2 17C88, 10.13.2 17C89, 10.13.2 17C205, 10.13.2 17C2205, 10.13.3 17D47, 10.13.3 17D102, 10.13.3 17D2047, 10.13.3 17D2102, 10.13.4 17E199, 10.13.4 17E202, 10.13.5 17F77, 10.13.6 17G66, 10.13.6 17G2208, 10.13.6 17G3025, 10.13.6 17G4015, 10.13.6 17G5019, 10.13.6 17G6029, 10.13.6 17G6030, 10.13.6 17G7024, 10.13.6 17G8029, 10.13.6 17G8030, 10.13.6 17G8037, 10.13.6 17G9016, 10.13.6 17G10021, 10.13.6 17G11023, 10.14 18A391, 10.14.1 18B75, 10.14.1 18B2107, 10.14.1 18B3094, 10.14.2 18C54, 10.14.3 18D42, 10.14.3 18D43, 10.14.3 18D109, 10.14.4 18E226, 10.14.4 18E227, 10.14.5 18F132, 10.14.6 18G84, 10.14.6 18G87, 10.14.6 18G95, 10.14.6 18G103, 10.14.6 18G1012, 10.14.6 18G2022, 10.14.6 18G3020, 10.15 19A583, 10.15 19A602, 10.15 19A603, 10.15.1 19B88, 10.15.2 19C57, 10.15.3 19D76

CPE External links

https://support.apple.com/kb/HT211100

Q & A

Can this vulnerability be exploited remotely?

No. The attacker should have physical access to the system in order to successfully exploit this vulnerability.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.

4) Out-of-bounds read

Risk: Low

CVSSv3.1: 3.1 [CVSS:3.1/AV:P/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L/E:U/RL:O/RC:C]

CVE-ID: CVE-2020-9779

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to a boundary condition in Bluetooth. A remote attacker with physical proximity to the affected device can send specially crafted data to the system, trigger out-of-bounds read error and read contents of memory on the system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 10.13 17A365, 10.13 17A405, 10.13.1 17B48, 10.13.1 17B1002, 10.13.1 17B1003, 10.13.2 17C88, 10.13.2 17C89, 10.13.2 17C205, 10.13.2 17C2205, 10.13.3 17D47, 10.13.3 17D102, 10.13.3 17D2047, 10.13.3 17D2102, 10.13.4 17E199, 10.13.4 17E202, 10.13.5 17F77, 10.13.6 17G66, 10.13.6 17G2208, 10.13.6 17G3025, 10.13.6 17G4015, 10.13.6 17G5019, 10.13.6 17G6029, 10.13.6 17G6030, 10.13.6 17G7024, 10.13.6 17G8029, 10.13.6 17G8030, 10.13.6 17G8037, 10.13.6 17G9016, 10.13.6 17G10021, 10.13.6 17G11023, 10.14 18A391, 10.14.1 18B75, 10.14.1 18B2107, 10.14.1 18B3094, 10.14.2 18C54, 10.14.3 18D42, 10.14.3 18D43, 10.14.3 18D109, 10.14.4 18E226, 10.14.4 18E227, 10.14.5 18F132, 10.14.6 18G84, 10.14.6 18G87, 10.14.6 18G95, 10.14.6 18G103, 10.14.6 18G1012, 10.14.6 18G2022, 10.14.6 18G3020, 10.15 19A583, 10.15 19A602, 10.15 19A603, 10.15.1 19B88, 10.15.2 19C57, 10.15.3 19D76

CPE External links

https://support.apple.com/kb/HT211100

Q & A

Can this vulnerability be exploited remotely?

No. The attacker should have physical access to the system in order to successfully exploit this vulnerability.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.



###SIDEBAR###